/*Orion Lawlor's Simple STL Examples, olawlor@acm.org
Shows how to use std::find_first_of.
*/
#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <list>

int main()
{
	using namespace std;
	vector<string> v;v.push_back("a");  v.push_back("b");  v.push_back("coo");
	list<string>   t;t.push_back("foo");t.push_back("coo");t.push_back("boo");
	
	vector<string>::iterator i=find_first_of(v.begin(),v.end(),
		t.begin(),t.end());
	
	if (i==v.end()) cout<<"Not found"<<endl;
	else cout<<"Found match "<<*i<<endl;
	
	return 0;
}
/*<@>
<@> ******** Program output: ********
<@> Found match coo
<@> */
